import { world } from "@minecraft/server";

const spawnchance = 0.02;
const monsters = [
'pmc:mob_boiled'
];
world.afterEvents.playerInteractWithBlock.subscribe(event => {

  const block = event.block;

  if (block.typeId == "minecraft:bed" && world.getTimeOfDay() > 12000 && world.getTimeOfDay() < 23000) {
    const random = Math.random();


    if (random < spawnchance) {

      const randomMonster = monsters[Math.floor(Math.random() * monsters.length)];


      const spawnpoint = block.location;
      world.getDimension("overworld").spawnEntity(randomMonster, spawnpoint)


    }

  }
});